org.eclipse.rdf4j.model.util.language

## Class LanguageTag

- java.lang.Object
- - org.eclipse.rdf4j.model.util.language.LanguageTag

- All Implemented Interfaces:
    LanguageTagCodes
  Direct Known Subclasses:
    IanaLanguageTag

  Deprecated.
  Use `instead`

      @Deprecated
      public class LanguageTag
      extends Object
      implements LanguageTagCodes

  RFC 3066, "Tags for the Identification of Languages".
  Author:
    jjc

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.rdf4j.model.util.language.LanguageTagCodes

      `LT_DEFAULT, LT_EXTRA, LT_IANA, LT_IANA_DEPRECATED, LT_ILLEGAL, LT_ISO3166, LT_ISO639, LT_LOCAL_USE, LT_MULTIPLE, LT_PRIVATE_USE, LT_UNDETERMINED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LanguageTag(String tag)` Deprecated. Creates new RFC3066 LanguageTag.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iso3166` | `getCountry()` Deprecated.
    `Iso639` | `getLanguage()` Deprecated.
    `String` | `getVariant()` Deprecated.
    `boolean` | `hasCountry()` Deprecated.
    `boolean` | `hasLanguage()` Deprecated.
    `boolean` | `hasVariant()` Deprecated.
    `Locale` | `toLocale()` Deprecated.
    `String` | `toString()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LanguageTag

          public LanguageTag(String tag)
                      throws LanguageTagSyntaxException

      Deprecated.
      Creates new RFC3066 LanguageTag.
      Parameters:
        `tag` - The tag to parse and analyse.
      Throws:
        `LanguageTagSyntaxException` - If the syntactic rules of RFC3066 section 2.1 are broken.

  - ### Method Detail

    - #### hasLanguage

          public boolean hasLanguage()

      Deprecated.

    - #### getLanguage

          public Iso639 getLanguage()

      Deprecated.

    - #### hasCountry

          public boolean hasCountry()

      Deprecated.

    - #### getCountry

          public Iso3166 getCountry()

      Deprecated.

    - #### hasVariant

          public boolean hasVariant()

      Deprecated.

    - #### getVariant

          public String getVariant()

      Deprecated.

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`

    - #### toLocale

          public Locale toLocale()

      Deprecated.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.